CocoaTweet::API::Statuses::Update Class Reference

class for using statuses/update endpoint More...

`#include <update.h>`

Inheritance diagram for CocoaTweet::API::Statuses::Update:
[legend]
Collaboration diagram for CocoaTweet::API::Statuses::Update:
[legend]

## Public Member Functions

| Update ()
| primary constructor More...
void | status (const std::string _status)
| set tweet text for sending request to statuses/update More...
void | mediaId (const std::vector< std::string > _media)
void | replyToStatusId (const std::string _reply)
void | autoPopulateReplyMetaData (bool _meta)
void | excludeReplyUserId (const std::vector< std::string > _ex)
void | attachmentUrl (const std::string _url)
void | coord (std::pair< std::string, std::string > _coord)
void | displayCoord (bool _disp)
void | trimUser (bool _trim)
void | enableDMCommands (bool _enable)
void | failDMCommands (bool _fail)
CocoaTweet::API::Model::Tweet | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)
| process request for endpoint More...

## Additional Inherited Members

Protected Member Functions inherited from CocoaTweet::API::Interface::HttpPost
void | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth, std::function< void(const std::string &)> _callback)
| Send HTTP/POST using OAuth object. More...
Static Protected Member Functions inherited from CocoaTweet::API::Interface::HttpBase
static size_t | curlCallback_ (char *_ptr, size_t _size, size_t _nmemb, std::string *_stream)
Protected Attributes inherited from CocoaTweet::API::Interface::HttpBase
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_
std::map< std::string, std::string > | bodyParam_
std::string | url_
std::string | contentType_

## Detailed Description

class for using statuses/update endpoint

## Constructor & Destructor Documentation

## Update()

CocoaTweet::API::Statuses::Update::Update | ( |  | ) |

primary constructor

## Member Function Documentation

## attachmentUrl()

void CocoaTweet::API::Statuses::Update::attachmentUrl | ( | const std::string | _url | ) |

## autoPopulateReplyMetaData()

void CocoaTweet::API::Statuses::Update::autoPopulateReplyMetaData | ( | bool | _meta | ) |

## coord()

void CocoaTweet::API::Statuses::Update::coord | ( | std::pair< std::string, std::string > | _coord | ) |

## displayCoord()

void CocoaTweet::API::Statuses::Update::displayCoord | ( | bool | _disp | ) |

## enableDMCommands()

void CocoaTweet::API::Statuses::Update::enableDMCommands | ( | bool | _enable | ) |

## excludeReplyUserId()

void CocoaTweet::API::Statuses::Update::excludeReplyUserId | ( | const std::vector< std::string > | _ex | ) |

## failDMCommands()

void CocoaTweet::API::Statuses::Update::failDMCommands | ( | bool | _fail | ) |

## mediaId()

void CocoaTweet::API::Statuses::Update::mediaId | ( | const std::vector< std::string > | _media | ) |

## process()

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Update::process | ( | std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

process request for endpoint

Parameters

  [in] | std::weak_ptr<CocoaTweet::OAuth::OAuth1> | _oauth : pointer to oauth object
  [out] | CocoaTweet::API::Model::Tweet | : request result

## replyToStatusId()

void CocoaTweet::API::Statuses::Update::replyToStatusId | ( | const std::string | _reply | ) |

## status()

void CocoaTweet::API::Statuses::Update::status | ( | const std::string | _status | ) |

set tweet text for sending request to statuses/update

Parameters

  [in] | const | std::string _status : tweet text
  [out] | none |

## trimUser()

void CocoaTweet::API::Statuses::Update::trimUser | ( | bool | _trim | ) |

The documentation for this class was generated from the following files:

- src/cocoatweet/api/status/update.h
- src/cocoatweet/api/status/update.cc